Update a Campaign

Submit a JSON object in a PUT or POST request body.
Fields that are omitted or null will not be updated.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

When updating a resource, you can use either PUT or POST.
You can submit only the fields of interest. Fields that are omitted or null, will remain unchanged.

EXAMPLES

Updating campaign fields

The JSON object in the request body represents the fields to update:

{
   "name": "DemoCampaign - Edited"
}
{
   "name": "Demo Campaign - Edited Again",
   "branding_text": "New branding text",
   "spending_limit": 10000,
   "spending_limit_model": "ENTIRE",
   "country_targeting": {
      "type": "INCLUDE",
      "value": [
         "AU",
         "GB"
      ]
   },
   "platform_targeting": {
      "type": "INCLUDE",
      "value": [
         "TBLT",
         "PHON"
      ]
   }
}

Pausing a campaign

To pause a campaign, update the campaign, and set is_active to false:

{
    "is_active" : false
}

Unpausing a campaign

To unpause a campaign, update the campaign, and set is_active to true:

{
    "is_active" : true
}
📘

When status = RUNNING and is_active = true, then the campaign it is ACTIVE.
When status = RUNNING and is_active = false, then the campaign it is PAUSED.

The status field is read-only - you pause/unpause the campaign via the is_active field.

📘

When a campaign is PAUSED, it will not run.

Platform Targeting

The platform_targeting field is updated directly via the campaigns endpoint:

{
   "platform_targeting": {
      "type": "INCLUDE",
      "value": [
         "TBLT",
         "PHON"
      ]
   }
}
📘

See: Platform Targeting

Path Params
string
required

An alphabetic ID. See Get Account Details.

string
required

A numeric ID. See the response returned by Get All Campaigns.

Body Params
json
required
Defaults to { "name": "DemoCampaign - Edited" }

A JSON object representing the fields to be updated. (See examples below.)

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json